Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.collection
Class PersistentSortedMap

    java.lang.Object
      org.hibernate.collection.AbstractPersistentCollection
          org.hibernate.collection.PersistentMap
              org.hibernate.collection.PersistentSortedMap

All Implemented Interfaces:
  Serializable, Map, SortedMap, PersistentCollection

    public class PersistentSortedMap

extends PersistentMap
implements SortedMap

A persistent wrapper for a `java.util.SortedMap`. Underlying collection is a `TreeMap`.

Author:
  e
See Also:
  `TreeMap`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.collection.AbstractPersistentCollection
`AbstractPersistentCollection.DelayedOperation`

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry`

Field Summary
`protected Comparator` | `comparator`

Fields inherited from class org.hibernate.collection.PersistentMap
`map`

Fields inherited from class org.hibernate.collection.AbstractPersistentCollection
`UNKNOWN`

Constructor Summary
`PersistentSortedMap()`
`PersistentSortedMap(SessionImplementor session)`
`PersistentSortedMap(SessionImplementor session, SortedMap map)`

Method Summary
`Comparator` | `comparator()`
`Object` | `firstKey()`
`SortedMap` | `headMap(Object toKey)`
`Object` | `lastKey()`
`void` | `setComparator(Comparator comparator)`
`protected Serializable` | `snapshot(BasicCollectionPersister persister, EntityMode entityMode)`
`SortedMap` | `subMap(Object fromKey, Object toKey)`
`SortedMap` | `tailMap(Object fromKey)`

Methods inherited from class org.hibernate.collection.PersistentMap
`beforeInitialize, clear, containsKey, containsValue, disassemble, empty, entries, entryExists, entrySet, equals, equalsSnapshot, get, getDeletes, getElement, getIndex, getOrphans, getSnapshot, getSnapshotElement, hashCode, initializeFromCache, isEmpty, isSnapshotEmpty, isWrapper, keySet, needsInserting, needsUpdating, put, putAll, readFrom, remove, size, toString, values`

Methods inherited from class org.hibernate.collection.AbstractPersistentCollection
`afterInitialize, afterRowInsert, beginRead, clearDirty, dirty, endRead, forceInitialization, getCachedSize, getIdentifier, getKey, getOrphans, getOwner, getQueuedOrphans, getRole, getSession, getSnapshot, getStoredSnapshot, getValue, hasQueuedOperations, initialize, isClearQueueEnabled, isDirectlyAccessible, isDirty, isOperationQueueEnabled, isPutQueueEnabled, isRowUpdatePossible, isUnreferenced, needsRecreate, performQueuedOperations, postAction, preInsert, queuedAdditionIterator, queueOperation, read, readElementByIndex, readElementExistence, readIndexExistence, readSize, setCurrentSession, setDirectlyAccessible, setInitialized, setOwner, setSnapshot, unsetSession, wasInitialized, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### comparator

    protected Comparator comparator

Constructor Detail

### PersistentSortedMap

    public PersistentSortedMap(SessionImplementor session)

### PersistentSortedMap

    public PersistentSortedMap(SessionImplementor session,
                               SortedMap map)

### PersistentSortedMap

    public PersistentSortedMap()

Method Detail

### snapshot

    protected Serializable snapshot(BasicCollectionPersister persister,
                                    EntityMode entityMode)
                             throws HibernateException

  Throws:
    `HibernateException`

### setComparator

    public void setComparator(Comparator comparator)

### comparator

    public Comparator comparator()

  Specified by:
    `comparator` in interface `SortedMap`
  See Also:
    `comparator()`

### subMap

    public SortedMap subMap(Object fromKey,
                            Object toKey)

  Specified by:
    `subMap` in interface `SortedMap`
  See Also:
    `subMap(Object, Object)`

### headMap

    public SortedMap headMap(Object toKey)

  Specified by:
    `headMap` in interface `SortedMap`
  See Also:
    `headMap(Object)`

### tailMap

    public SortedMap tailMap(Object fromKey)

  Specified by:
    `tailMap` in interface `SortedMap`
  See Also:
    `tailMap(Object)`

### firstKey

    public Object firstKey()

  Specified by:
    `firstKey` in interface `SortedMap`
  See Also:
    `firstKey()`

### lastKey

    public Object lastKey()

  Specified by:
    `lastKey` in interface `SortedMap`
  See Also:
    `lastKey()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD